%global commit 31fd179c9a772104c601ab5cea16e3ad42ec1f4a
%global shortc 31fd179
%undefine _disable_source_fetch

Name:           neovim-gtk-git
Version:        0.3.0
Release:        20191202git%{shortc}%{dist}
Summary:        GTK ui for neovim written in rust using gtk-rs bindings. With ligatures support.

License:        GPL-3
URL:            https://github.com/daa84/neovim-gtk
Source0:        https://github.com/daa84/neovim-gtk/archive/%{commit}.tar.gz

BuildRequires:  rustc
BuildRequires:  cargo
BuildRequires:  pkgconfig(gtk+-3.0)
Requires:       neovim

%description
GTK ui for neovim written in rust using gtk-rs bindings. With ligatures
support. Compiled from latest GIT version

%global debug_package %{nil}

%prep
%autosetup -n neovim-gtk-%{commit}

%build
cargo build --release

%install
%make_install PREFIX=/usr
rm -rf %{buildroot}/%{_datadir}/fonts %{buildroot}/%{_prefix}/.crates.toml %{buildroot}/lib/.buildid

%files
%{_bindir}/nvim-gtk
%{_datadir}/*

%license LICENSE

%changelog
* Mon Dec 02 2019 Paul Ogris <paul@tsahyt.com> - 0.3.0-20191202git31fd179
- Bump to new commit

* Sun Nov 03 2019 Paul Ogris <paul@tsahyt.com> - 0.3.0-20190718git3ace1d2
- Bump to new commit

* Thu Jul 18 2019 Paul Ogris <paul@tsahyt.com> - 0.3.0-20190718git6b0687d
- Bump to new commit

* Wed May 29 2019 Paul Ogris <paul@tsahyt.com> - 0.3.0-20190529gitdfb97c8
- Bump to new commit

* Sun Apr 28 2019 Paul Ogris <paul@tsahyt.com> - 0.3.0-20190428git2fef84f
- Bump version
- Bump to new commit

* Mon Feb 18 2019 Paul Ogris <paul@tsahyt.com> - 0.2.0-20181007gitc075c32
- Bump to new commit

* Wed Nov 28 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20181007git828a78b
- Bump to new commit
- Adjust build process

* Sun Oct 7 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20181007gita8f7241
- Bump to new commit

* Sun Sep 9 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20180909gitb275041
- Bump to new commit

* Mon Aug 6 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20180806git3ea809e
- Bump to new commit

* Sun Jul 15 2018 Paul Ogris <paul@tsahyt.com> - 0.2.0-20181507git01506a6
- Revert to older commit due to some bugs
- Fix some problems with the specfile
- Switch to snapshot versioning scheme
- Respect version in .toml file

* Fri Jul 13 2018 Paul Ogris <paul@tsahyt.com> - 0.1.1-4
- Update to commit 2ebac955566b15ce2cdf41e6da9e2a50bea8659e 

* Thu Jun 28 2018 Paul Ogris <paul@tsahyt.com> - 0.1.1-3
- Update to commit 01506a6217274668bbcbf2ff8c8b671e23a1206d 
- Adds transparency commands

* Thu Jun 28 2018 Paul Ogris <paul@tsahyt.com> - 0.1.1-2
- Fix desktop file

* Wed Jun 27 2018 Paul Ogris <paul@tsahyt.com> - 0.1.1-1
- Initial package
